/*---Boton_Modal---*/
.modal {
  visibility: hidden;
  opacity: 0;
  position: fixed; /*position: absolute;*/
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgb(100,100,100,.4);
  transition: all .4s;
  z-index: 0;
}

.modal-content {
  padding: 20px;
  position: relative;
  width:900px;
  height: auto;
  background: white;
  border-radius: 10px;
  box-shadow: 0 0 5px rga(0 0 0 / .15);
}

.modal-content h2 {
  margin-top: 20px;
}
.modal-content p {
  margin: 20px 0;
}

.modal-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-radius: 30px;
}
.modal-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-radius: 30px;
}

.box-button {
   width: 100%;
   height: 100vh;
   display: flex;
   justify-content: center;
   align-items: center;
}
.box-button a {
  text-decoration: none;
  background: steelblue;
  color: #fff;
  border: none;
  padding: 8px 16px;
  font-weight: 600;
  font-size: 1.5rem;
  border-radius: 5px;
  cursor: pointer;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 30px;
  height: 30px;
  border-radius: 5px;
  background: rgba(0 0 0 / .1);
  display: flex;
  justify-content: center;
  align-items: center;
}

.close-btn a {
  text-decoration: none;
  font-weight: 800;
  font-size: 20px;
}

.close-btn a:hover {
  color:orange;
}
.modal:target {
  visibility: visible;
  opacity: 1;
  z-index: 9999;
}